跳转至

Since sing-box 1.12.0

# Tailscale

### Structure

    {
      "dns": {
        "servers": [
          {
            "type": "tailscale",
            "tag": "",

            "endpoint": "ts-ep",
            "accept_default_resolvers": false
          }
        ]
      }
    }

### Fields

#### endpoint

Required

The tag of the Tailscale Endpoint.

#### accept_default_resolvers

Indicates whether default DNS resolvers should be accepted for fallback queries in addition to MagicDNS。

if not enabled, `NXDOMAIN` will be returned for non-Tailscale domain queries.

### Examples

MagicDNS only Use as global DNS

    {
      "dns": {
        "servers": [
          {
            "type": "local",
            "tag": "local"
          },
          {
            "type": "tailscale",
            "tag": "ts",
            "endpoint": "ts-ep"
          }
        ],
        "rules": [
          {
            "ip_accept_any": true,
            "server": "ts"
          }
        ]
      }
    }

    {
      "dns": {
        "servers": [
          {
            "type": "tailscale",
            "endpoint": "ts-ep",
            "accept_default_resolvers": true
          }
        ]
      }
    }